"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeNullOrUndefined = exports.die = void 0;
const index_js_1 = require("./logging/index.js");
function die(reason) {
    index_js_1.logger.log('error', reason);
    process.exit(1);
}
exports.die = die;
function removeNullOrUndefined(obj) {
    if (Array.isArray(obj)) {
        return obj.map(removeNullOrUndefined);
    }
    if (typeof obj === 'object') {
        const newObj = {};
        for (const key in obj) {
            if (obj[key] !== null && obj[key] !== undefined) {
                newObj[key] = removeNullOrUndefined(obj[key]);
            }
        }
        return newObj;
    }
    return obj;
}
exports.removeNullOrUndefined = removeNullOrUndefined;
//# sourceMappingURL=utils.js.map